%define apiver      2.0
%define major       0
%define libname     %mklibname sdl %{apiver} %{major}
%define develname   %mklibname sdl %{apiver} -d
%define develsname  %mklibname sdl %{apiver} -d -s

Name:           sdl2
Summary:        Simple DirectMedia Layer 2
Version:        2.30.6
Release:        %mkrel 4
License:        Zlib
Group:          System/Libraries
URL:            https://libsdl.org/
Source0:        https://libsdl.org/release/SDL2-%{version}.tar.gz

BuildRequires:  libnas-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndio)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(libdecor-0)
BuildRequires:  pkgconfig(libunwind)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(xkbcommon)

%description
This is the Simple DirectMedia Layer 2, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

SDL fully supports high end 3D graphics using Direct3D and OpenGL,
and has a 2D graphics API for emulators and classic games.

%package -n     %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n     %{develname}
Summary:        Headers for developing programs that use %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       SDL2-devel = %{version}-%{release}
Requires:       alsa-lib-devel
Requires:       pkgconfig(gl)
Requires:       pkgconfig(glu)
Requires:       pkgconfig(egl)

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n     %{develsname}
Summary:        Static library for developing static programs that use %{name}
Group:          Development/C
Requires:       %{develname} = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Provides:       SDL2-static-devel = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%prep
%autosetup -p1 -n SDL2-%{version}

%build
%configure \
	--enable-video-kmsdrm \
	--enable-alsa-shared \
	--enable-esd-shared \
	--enable-pipewire-shared \
	--enable-pulseaudio-shared \
	--enable-jack-shared \
	--enable-arts-shared \
	--enable-nas-shared \
	--enable-fusionsound-shared \
	--enable-sndio-shared \
	--enable-x11-shared \
	--enable-directfb-shared \
	--enable-fusionsound-shared \
	--enable-video-wayland \
	--enable-libdecor-shared \
	--enable-video-vulkan \
	--disable-rpath

%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/licenses/SDL2/LICENSE.txt

%files -n %{libname}
%license LICENSE.txt
%doc BUGS.txt CREDITS.txt README-SDL.txt
%{_libdir}/libSDL2-%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md WhatsNew.txt
%{_bindir}/*-config
%{_datadir}/aclocal/%{name}.m4
%{_includedir}/SDL2/
%{_libdir}/cmake/SDL2/
%{_libdir}/libSDL2.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{develsname}
%{_libdir}/libSDL2.a
%{_libdir}/libSDL2main.a
%{_libdir}/libSDL2_test.a


%changelog
* Wed Aug 28 2024 daviddavid <daviddavid> 2.30.6-4.mga10
+ Revision: 2091953
- switch back to autotool, cmake does not handle properly both static and
  shared libs at the same time (mga#33489)

* Mon Aug 26 2024 daviddavid <daviddavid> 2.30.6-3.mga10
+ Revision: 2091454
- move static cmake config files into the static devel sub-pkgs

* Sun Aug 25 2024 daviddavid <daviddavid> 2.30.6-2.mga10
+ Revision: 2091374
- switch to cmake build system
- enable pipewire, sndio, vulkan, libdrm/gbm and libunwind support

* Tue Aug 13 2024 daviddavid <daviddavid> 2.30.6-1.mga10
+ Revision: 2086527
- new version: 2.30.6

* Sat Jul 13 2024 daviddavid <daviddavid> 2.30.5-1.mga10
+ Revision: 2080930
- new version: 2.30.5

* Fri Jul 05 2024 daviddavid <daviddavid> 2.30.4-1.mga10
+ Revision: 2079824
- new version: 2.30.4

* Thu May 09 2024 daviddavid <daviddavid> 2.30.3-1.mga10
+ Revision: 2063151
- new version: 2.30.3

* Wed Apr 24 2024 daviddavid <daviddavid> 2.30.2-1.mga10
+ Revision: 2060790
- new version: 2.30.2

* Tue Mar 12 2024 daviddavid <daviddavid> 2.30.1-1.mga10
+ Revision: 2049352
- new version: 2.30.1

* Sun Nov 05 2023 daviddavid <daviddavid> 2.28.5-1.mga10
+ Revision: 2004563
- new version: 2.28.5

* Fri Oct 27 2023 daviddavid <daviddavid> 2.28.4-1.mga10
+ Revision: 2002025
- new version: 2.28.4

* Wed Sep 06 2023 daviddavid <daviddavid> 2.28.3-1.mga10
+ Revision: 1984832
- new version: 2.28.3

* Tue Feb 07 2023 daviddavid <daviddavid> 2.26.3-1.mga9
+ Revision: 1939244
- new version: 2.26.3

* Wed Jan 04 2023 daviddavid <daviddavid> 2.26.2-1.mga9
+ Revision: 1929742
- new version: 2.26.2

* Thu Dec 01 2022 daviddavid <daviddavid> 2.26.0-2.mga9
+ Revision: 1913849
- provides sdl2-static-devel and SDL2-static-devel

* Wed Nov 23 2022 tv <tv> 2.26.0-1.mga9
+ Revision: 1910411
- Update to 2.26.0

* Sat Aug 27 2022 wally <wally> 2.24.0-1.mga9
+ Revision: 1881038
- new version 2.24.0

* Fri Apr 01 2022 umeabot <umeabot> 2.0.20-2.mga9
+ Revision: 1838667
- Mageia 9 Mass Rebuild

* Thu Mar 31 2022 akien <akien> 2.0.20-1.mga9
+ Revision: 1837802
- Version 2.0.20

* Wed Dec 01 2021 akien <akien> 2.0.18-1.mga9
+ Revision: 1760385
- Version 2.0.18

* Tue Dec 22 2020 daviddavid <daviddavid> 2.0.14-1.mga8
+ Revision: 1662823
- new version: 2.0.14

* Wed Mar 11 2020 daviddavid <daviddavid> 2.0.12-1.mga8
+ Revision: 1555450
- new version: 2.0.12

* Sat Feb 15 2020 umeabot <umeabot> 2.0.10-2.mga8
+ Revision: 1527855
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jul 26 2019 akien <akien> 2.0.10-1.mga8
+ Revision: 1424252
- Version 2.0.10

* Wed Oct 31 2018 tv <tv> 2.0.9-1.mga7
+ Revision: 1326965
- new release

* Sun Sep 23 2018 umeabot <umeabot> 2.0.8-5.mga7
+ Revision: 1300971
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 akien <akien> 2.0.8-4.mga7
+ Revision: 1236080
- Also BR wayland-scanner and wayland-protocols needed for Wayland support
- Add more optional BRs: ibus, jack, samplerate, wayland-client

* Mon May 21 2018 akien <akien> 2.0.8-2.mga7
+ Revision: 1231240
- Add upstream patch to fix dynapi system loader resolving the initializer to the wrong version

* Wed Mar 14 2018 akien <akien> 2.0.8-1.mga7
+ Revision: 1209283
- Version 2.0.8

* Tue Oct 24 2017 akien <akien> 2.0.7-1.mga7
+ Revision: 1173221
- Version 2.0.7

* Tue Oct 17 2017 akien <akien> 2.0.6-3.mga7
+ Revision: 1172302
- Rebuild to apply patches, remove upstreamed P0

* Tue Oct 17 2017 akien <akien> 2.0.6-2.mga7
+ Revision: 1172296
- Upstream patch to fix CVE-2017-2888 (mga#21882)

* Sat Sep 23 2017 akien <akien> 2.0.6-1.mga7
+ Revision: 1158190
- Version 2.0.6

* Sat Jan 28 2017 akien <akien> 2.0.5-2.mga6
+ Revision: 1083868
- Add upstream (and own :)) patch to fix MessageBox display

* Fri Oct 21 2016 akien <akien> 2.0.5-1.mga6
+ Revision: 1062901
- Version 2.0.5

* Fri Apr 15 2016 tv <tv> 2.0.4-3.mga6
+ Revision: 1001740
- make devel package pull some commonly used backend devel pkgs

* Fri Apr 15 2016 tv <tv> 2.0.4-2.mga6
+ Revision: 1001624
- provides SDL2-devel

* Sun Jan 10 2016 akien <akien> 2.0.4-1.mga6
+ Revision: 921069
- Version 2.0.4

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-4.mga5
+ Revision: 748805
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 blino <blino> 2.0.3-3.mga5
+ Revision: 736266
- enable wayland video driver

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-2.mga5
+ Revision: 689089
- Mageia 5 Mass Rebuild

* Tue Apr 08 2014 akien <akien> 2.0.3-1.mga5
+ Revision: 612807
- New upstream bugfix version

* Wed Mar 12 2014 akien <akien> 2.0.2-1.mga5
+ Revision: 602723
- New version 2.0.2

* Sun Dec 15 2013 blue_prawn <blue_prawn> 2.0.1-1.mga4
+ Revision: 557113
- updated to last version 2.0.1
- new wiki FrontPage

* Mon Oct 21 2013 umeabot <umeabot> 2.0.0-9.mga4
+ Revision: 541160
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 blue_prawn <blue_prawn> 2.0.0-8.mga4
+ Revision: 495199
- static libs split

* Wed Oct 09 2013 shadow95 <shadow95> 2.0.0-7.mga4
+ Revision: 494253
- rebuild with enable share module
- enable-sdl-dlopen

* Tue Aug 13 2013 fwang <fwang> 2.0.0-6.mga4
+ Revision: 466078
- disable shared object loading always

* Tue Aug 13 2013 fwang <fwang> 2.0.0-5.mga4
+ Revision: 466067
- final stable release tarball

* Thu Aug 08 2013 wally <wally> 2.0.0-4.mga4
+ Revision: 464720
- don't use dlopen() to load shared libs
- disable rpath
- disable static build (related fixes from OpenMandriva)

* Thu Aug 08 2013 wally <wally> 2.0.0-3.mga4
+ Revision: 464704
- fix devel pkg obsoletes
- add missing BRs

* Thu Aug 08 2013 wally <wally> 2.0.0-2.mga4
+ Revision: 464689
- tighten reqs to ensure we have always latest libs installed
- rename devel pkg
- add common provides for devel pkg
- add 'major check' to files section
- drop unneeded provides

* Thu Aug 08 2013 blue_prawn <blue_prawn> 2.0.0-1.mga4
+ Revision: 464667
- build requires doxygen for the generated api docs
- build requires X
- imported package sdl2

